commit:     6d14809988dde17f47b51f51503077b8972972e5
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Mar  2 21:09:48 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  3 16:51:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d148099

sci-mathematics/yafu: Port to EAPI 7

* Fix building with gcc-10
* Drop obsolete eclasses

Closes: https://bugs.gentoo.org/709304
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Closes: https://github.com/gentoo/gentoo/pull/19744
Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...x-Makefile.patch => yafu-1.34.3-Makefile.patch} |  4 +-
 sci-mathematics/yafu/metadata.xml                  | 20 ++++-----
 sci-mathematics/yafu/yafu-1.34.3.ebuild            | 48 ++++++++++++----------
 3 files changed, 38 insertions(+), 34 deletions(-)

diff --git a/sci-mathematics/yafu/files/fix-Makefile.patch 
b/sci-mathematics/yafu/files/yafu-1.34.3-Makefile.patch
similarity index 63%
rename from sci-mathematics/yafu/files/fix-Makefile.patch
rename to sci-mathematics/yafu/files/yafu-1.34.3-Makefile.patch
index 82b8e0d7d2f..bee579150c9 100644
--- a/sci-mathematics/yafu/files/fix-Makefile.patch
+++ b/sci-mathematics/yafu/files/yafu-1.34.3-Makefile.patch
@@ -1,5 +1,5 @@
---- Makefile.orig      2013-03-17 11:20:40.248683894 +0400
-+++ Makefile   2013-03-17 11:20:47.352683657 +0400
+--- a/Makefile
++++ b/Makefile
 @@ -87,7 +87,7 @@ ifeq ($(CC),icc)
        CFLAGS += -mtune=core2 -march=core2
  endif

diff --git a/sci-mathematics/yafu/metadata.xml 
b/sci-mathematics/yafu/metadata.xml
index 651621cc927..f07f2757aeb 100644
--- a/sci-mathematics/yafu/metadata.xml
+++ b/sci-mathematics/yafu/metadata.xml
@@ -1,14 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="person">
-    <email>[email protected]</email>
-    <name>Patrick Lauer</name>
-  </maintainer>
-  <use>
-    <flag name="sieve">Use msieve for the sieving steps of NFS</flag>
-  </use>
-  <upstream>
-    <remote-id type="sourceforge">yafu</remote-id>
-  </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrick Lauer</name>
+       </maintainer>
+       <use>
+               <flag name="sieve">Use msieve for the sieving steps of 
NFS</flag>
+       </use>
+       <upstream>
+               <remote-id type="sourceforge">yafu</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/sci-mathematics/yafu/yafu-1.34.3.ebuild 
b/sci-mathematics/yafu/yafu-1.34.3.ebuild
index cf1be408e98..e48b2e4b205 100644
--- a/sci-mathematics/yafu/yafu-1.34.3.ebuild
+++ b/sci-mathematics/yafu/yafu-1.34.3.ebuild
@@ -1,12 +1,11 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit eutils versionator
-
-MY_PV="$(get_version_component_range 1-2)"
+inherit flag-o-matic
 
+MY_PV="$(ver_cut 1-2)"
 DESCRIPTION="Yet another factoring utility"
 HOMEPAGE="https://sourceforge.net/projects/yafu/";
 SRC_URI="mirror://sourceforge/${PN}/${MY_PV}/${PN}-${MY_PV}-src.zip"
@@ -14,42 +13,47 @@ 
SRC_URI="mirror://sourceforge/${PN}/${MY_PV}/${PN}-${MY_PV}-src.zip"
 SLOT="0"
 LICENSE="public-domain"
 KEYWORDS="~amd64 ~x86"
-# nfs is overloaded, so using less confusing sieve here
 IUSE="+sieve"
 
 DEPEND="
        dev-libs/gmp:0=
        sci-mathematics/gmp-ecm
        sieve? (
+               sci-mathematics/ggnfs
                sci-mathematics/msieve
-               sci-mathematics/ggnfs )"
+       )"
 RDEPEND="${DEPEND}"
+BDEPEND="app-arch/unzip"
+
+PATCHES=( "${FILESDIR}"/${P}-Makefile.patch )
 
 src_prepare() {
-       epatch "${FILESDIR}/fix-Makefile.patch"
-       # This is not nice. But then the Makefile is quite special :)
-       sed -i -e 's:../gmp/include:gmp:' Makefile              || die "Failed 
to rectify things"
-       sed -i -e 's:../gmp-ecm/include:gmp-ecm:' Makefile      || die "Failed 
to rectify things"
-       sed -i -e 's:LIBS += -L../:# LIBS += -L../:g' Makefile  || die "Failed 
to rectify things"
-       sed -i -e 's:\"config.h\":<gmp-ecm/config.h>:g' top/driver.c    || die 
"Failed to rectify things"
-       sed -i -e 's:# LIBS += -L../msieve/lib/linux/x86_64:LIBS += -lmsieve 
-lz -ldl:' Makefile        || die "Failed to rectify things"
-       sed -i -e 's:CFLAGS = -g:#CFLAGS = -g:' Makefile        || die "Failed 
to rectify things"
-       sed -i -e '/$(LIBS)$/s:$(CC):$(CC) $(LDFLAGS):g' Makefile || die
+       default
+       sed -i \
+               -e 's:../gmp/include:gmp:' \
+               -e 's:../gmp-ecm/include:gmp-ecm:' \
+               -e 's:# LIBS += -L../msieve/lib/linux/x86_64:LIBS += -lmsieve 
-lz -ldl:' \
+               -e 's:CFLAGS = -g:#CFLAGS = -g:' \
+               -e '/$(LIBS)$/s:$(CC):$(CC) $(LDFLAGS):g' Makefile || die
+       sed -i -e 's:\"config.h\":<gmp-ecm/config.h>:g' top/driver.c || die
 
        # proper ggnfs default path
-       sed -i -e 
's~strcpy(fobj->nfs_obj.ggnfs_dir,"./");~strcpy(fobj->nfs_obj.ggnfs_dir,"/usr/bin/");~'
 factor/factor_common.c || die "Failed to rectify things"
+       sed -i -e 
's~strcpy(fobj->nfs_obj.ggnfs_dir,"./");~strcpy(fobj->nfs_obj.ggnfs_dir,"/usr/bin/");~'
 factor/factor_common.c || die
+}
+
+src_configure() {
+       append-cflags -fcommon
+       default
 }
 
 src_compile() {
-       local VAR=""
-       # hmm, not that useful:
-       #VAR="TIMING=1 "
-       use sieve && VAR+="NFS=1"
+       local VAR
+       use sieve && VAR="NFS=1"
        use amd64 && emake $VAR x86_64
        use x86 && emake $VAR x86
 }
 
 src_install() {
-       dobin "${S}/yafu"
+       dobin "${S}"/yafu
        dodoc docfile.txt README yafu.ini
 }

Reply via email to